Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtCompassWindArrow Class Reference

Inheritance diagram for QwtCompassWindArrow:

[legend]
Collaboration diagram for QwtCompassWindArrow:

[legend]
List of all members.

## Detailed Description

An indicator for the wind direction.

QwtCompassWindArrow shows the direction where the wind comes from.

- QColorGroup::Light
  Used for Style1, or the light half of Style2
- QColorGroup::Dark
  Used for the dark half of Style2

See also:
  QwtDial, QwtCompass

Definition at line 165 of file qwt_dial_needle.h.

## Public Types
enum | Style { Style1, Style2 }
## Public Member Functions
| QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)
virtual void | draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const
## Static Public Member Functions
void | drawStyle1Needle (QPainter *, const QColorGroup &, const QPoint &, int length, double direction)
void | drawStyle2Needle (QPainter *, const QColorGroup &, const QPoint &, int length, double direction)

## Constructor & Destructor Documentation

QwtCompassWindArrow::QwtCompassWindArrow | ( | Style | ,
|  | const QColor & | light = `Qt::white`,
|  | const QColor & | dark = `Qt::gray`
| ) |

| Constructor. Definition at line 437 of file qwt_dial_needle.cpp. References QwtDialNeedle::setPalette().

## Member Function Documentation

void QwtCompassWindArrow::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction,
|  | QPalette::ColorGroup | cg = `QPalette::Active`
| ) | const`[virtual]`

  | Draw the needle Parameters:
  | painter | Painter
  | center | Center of the dial, start position for the needle
  | length | Length of the needle
  | direction | Direction of the needle, in degrees counter clockwise
  | cg | Color group, used for painting
Implements QwtDialNeedle. Definition at line 462 of file qwt_dial_needle.cpp. References QwtDialNeedle::colorGroup(), drawStyle1Needle(), and drawStyle2Needle().

void QwtCompassWindArrow::drawStyle1Needle | ( | QPainter * | painter,
|  | const QColorGroup & | cg,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction
| ) | `[static]`

| Draw a compass needle Definition at line 480 of file qwt_dial_needle.cpp. Referenced by draw().

void QwtCompassWindArrow::drawStyle2Needle | ( | QPainter * | painter,
|  | const QColorGroup & | cg,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction
| ) | `[static]`

| Draw a compass needle Definition at line 508 of file qwt_dial_needle.cpp. Referenced by draw().